Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
user/linkcategorylist.php File Reference

Go to the source code of this file.

## Variables
| $linkCategory = new eZLinkCategory()
if(is_numeric( $linkCategory->sectionID())) | $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZLinkMain", "Language" )
| $UserLimit = $ini->variable( "eZLinkMain", "UserLinkLimit" )
| $languageIni = new eZINI( "kernel/ezlink/user/intl/". $Language . "/linkcategorylist.php.ini", false )
| $t
| $pathArray = $linkCategory->path()
foreach( $pathArray as $path) if(!isset( $path[1]) or ! $path[1]) | else
| $linkCategory_array = $linkCategory->getByParent( $LinkCategoryID )
| $links = $linkCategory->links( $Offset, $UserLimit )
| $linkCount = $linkCategory->linkCount()

## Variable Documentation

## ◆ $ini

if (is_numeric($linkCategory->sectionID())) $ini =& eZINI::instance( 'site.ini' )

Definition at line 60 of file user/linkcategorylist.php.

## ◆ $Language

$Language = $ini->variable( "eZLinkMain", "Language" )

Definition at line 61 of file user/linkcategorylist.php.

## ◆ $languageIni

$languageIni = new eZINI( "kernel/ezlink/user/intl/". $Language . "/linkcategorylist.php.ini", false )

Definition at line 63 of file user/linkcategorylist.php.

## ◆ $linkCategory

$linkCategory = new eZLinkCategory()

Definition at line 45 of file user/linkcategorylist.php.

## ◆ $linkCategory_array

$linkCategory_array = $linkCategory->getByParent( $LinkCategoryID )

Definition at line 120 of file user/linkcategorylist.php.

Referenced by createLinkMenu().

## ◆ $linkCount

$linkCount = $linkCategory->linkCount()

Definition at line 182 of file user/linkcategorylist.php.

## ◆ $links

$links = $linkCategory->links( $Offset, $UserLimit )

Definition at line 181 of file user/linkcategorylist.php.

Referenced by eZLinkCategory\delete(), and eZFreeTradeImport\makeLinks().

## ◆ $pathArray

$pathArray = $linkCategory->path()

Definition at line 99 of file user/linkcategorylist.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezlink/user/" . $ini->variable( "eZLinkMain", "TemplateDir" ),
"kernel/ezlink/user/intl", $Language, "linkcategorylist.php" )
eZTemplate
Definition: eztemplate.php:107
$ini
if(is_numeric( $linkCategory->sectionID())) $ini
Definition: user/linkcategorylist.php:60
$Language
$Language
Definition: user/linkcategorylist.php:61

Definition at line 66 of file user/linkcategorylist.php.

## ◆ $UserLimit

$UserLimit = $ini->variable( "eZLinkMain", "UserLinkLimit" )

Definition at line 62 of file user/linkcategorylist.php.

## ◆ else

if (count($links)==0) else

Initial value:
{
$t->parse( "category_name_item", "category_name_tpl" )
$t
$t
Definition: user/linkcategorylist.php:66

Definition at line 114 of file user/linkcategorylist.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.